> For the complete documentation index, see [llms.txt](https://docs.udara360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.udara360.io/udara360-docs-1/reports/report-api/export-customer-account-statement.md).

# Export Customer Account Statement

To export a customer statement, send a GET request to the following endpoint:

\ <mark style="color:blue;">`GET`</mark> `/api/Report/v1/ExportCustomerStatement`\
\
This API enables the export of customer statements in PDF, CSV, or Excel format, providing access to crucial financial information for both customers and the organization.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Query Parameter**

<table><thead><tr><th width="187">Name</th><th width="172">Data Type (length)</th><th>Description</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td>string</td><td>The customer's account number</td><td></td></tr><tr><td><code>financialDateFrom</code></td><td>date</td><td>Start date of financial activity</td><td></td></tr><tr><td><code>financialDateto</code></td><td>date</td><td>End date of financial activity</td><td></td></tr><tr><td><code>fileExportFormat</code></td><td>integer</td><td>The type of format to use for exporting account statements (e.g., CSV, PDF)<br><br>The enumerations are:<br><code>1</code> = Excel<br><code>2</code> = CSV<br><code>3</code> = PDF</td><td></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/Report/v1/ExportCustomerStatement?AccountNumber=1000000754&FinancialDateFrom=2021-08-01&FinancialDateTo=2023-03-19&FileExportFormat=2' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
//request successful
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/reports/report-api/export-customer-account-statement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
